• Accès Client
  • Webmail
  • Panier
  • Contact
  • Base de connaissance: Installation du logicielle
    Paquets Linux
    Posté par Thomas Thevenon activé 18 December 2015 16:26

    Pour ajouter les modules nécessaires au noyau Linux, le programme d'installation a besoin des paquets Linux suivants :

    • Le paquet comprenant les sources et en-têtes du noyau. La version du paquet doit correspondre à celle de la version de noyau.
    • Le système de compilation GNU Compiler Collection (GCC). La version du GCC doit être celle avec laquelle le noyau a été compilé.
    • L'outil Make.
    • L'interpréteur Perl.

    Les noms de ces paquets peuvent varier en fonction de votre distribution Linux.

    Sous Red Hat Enterprise Linux, CentOS et Fedora, les paquets sont normalement installés par le programme d'installation. Dans d'autres distributions, vous devez installer les paquets s'ils ne sont pas installés ou ne possèdent pas de la version requise.

    Est-ce que les paquets requis sont déjà installés ?

    Pour vérifier si les paquets sont déjà installés, effectuez les étapes suivantes :

    1. Exécutez la commande suivante pour déterminer la version de noyau et la version de GCC requise :

      cat /proc/version

      Cette commande renvoie des lignes similaires aux suivantes : Linux version 2.6.35.6 et gcc version 4.5.1

    2. Exécutez la commande suivante pour vérifier si l'outil Make et le compilateur GCC sont installés :

      make -v
      gcc -v

      Pourgcc, assurez-vous que la version retournée par la commande est la même que dans la gcc version dans l'étape 1. Pour make, assurez-vous simplement que la commande s'exécute.

    3. Vérifiez si la version appropriée des paquets pour la génération des modules du noyau est installée :
      • Sous Red Hat Enterprise Linux, CentOS et Fedora, exécutez la commande suivante :

        yum list installed | grep kernel-devel

      • Sous Ubuntu, exécutez les commandes suivantes :

        dpkg --get-selections | grep linux-headers
        dpkg --get-selections | grep linux-image

      Dans un cas comme dans l'autre, assurez-vous que les versions des paquets sont les mêmes que dans Linux version à l'étape 1.

    4. Exécutez les commandes suivantes afin de vérifier que l'interpréteur Perl est bien installé :

      perl --version

      Si les informations de la version de Perl s'affichent, cela signifie que l'interpréteur est installé.

    Installation des paquets à partir de la base de données de référentiel.

    Le tableau suivant indique comment installer les paquets requis dans diverses distributions Linux.

    Distribution Linux

    Noms des paquets

    Comment installer

    Red Hat Enterprise Linux

     

    kernel-devel
    gcc
    make

    Le programme d'installation téléchargera et installera les paquets automatiquement en utilisant votre abonnement Red Hat.

    perl

    Exécutez la commande suivante :

    yum install perl

    CentOS

    Fedora

     

    kernel-devel
    gcc
    make

    Le programme d'installation téléchargera et installera les paquets automatiquement.

    perl

    Exécuter la commande suivante :

    yum install perl

    Ubuntu

    linux-headers
    linux-image
    gcc
    make
    perl

    Exécutez les commandes suivantes :

    sudo apt-get update
    sudo apt-get install linux-headers-`uname -r`
    sudo apt-get install linux-image-`uname -r`
    sudo apt-get install gcc-<package version>
    sudo apt-get install make
    sudo apt-get install perl

    Les paquets seront téléchargés à partir de la base de données de référentiel de la distribution et installés.

    Pour d'autres distributions Linux, veuillez vous référer à la documentation de la distribution concernant les noms exacts des paquets requis et les façons de les installer.

    Installation manuelle des paquets

    Vous pourriez devoir installer les paquets manuellement si :

    • la machine ne possède pas d'abonnement Red Hat actif ou ne dispose pas d'une connexion Internet ;
    • le programme d'installation ne peut pas trouver les versions de kernel-devel ou gcc correspondant à la version de noyau ; Si la version disponible de kernel-develest plus récente que votre noyau, vous devez soit mettre à jour le noyau ou installer la version correspondante de kernel-devel manuellement.
    • Vous possédez les paquets requis sur le réseau local et ne voulez pas perdre de temps pour la recherche et le téléchargement automatique.

    Obtenez les paquets à partir de votre réseau local ou depuis un site Web tiers auquel vous faites confiance, et installez-les de la façon suivante :

    • Sous Red Hat Enterprise Linux, CentOS ou Fedora, exécutez la commande suivante en tant qu'utilisateur racine :

      rpm -ivh PACKAGE_FILE1 PACKAGE_FILE2 PACKAGE_FILE3

    • Sous Ubuntu, exécutez la commande suivante :

      sudo dpkg -i PACKAGE_FILE1 PACKAGE_FILE2 PACKAGE_FILE3

    Exemple : Installation manuelle des paquets sous Fedora 14

    Suivez ces étapes pour installer les paquets requis dans Fedora 14 sur une machine 32 bits :

    1. Exécutez la commande suivante pour déterminer la version de noyau et la version de GCC requise :

      cat /proc/version

      Les données de sortie de cette commande incluent les éléments suivants :

      Linux version 2.6.35.6-45.fc14.i686
      gcc version 4.5.1

    2. Obtenez les paquets kernel-devel et gcc qui correspondent à cette version de noyau :

      kernel-devel-2.6.35.6-45.fc14.i686.rpm
      gcc-4.5.1-4.fc14.i686.rpm

    3. Obtenez le paquet make pour Fedora 14 :

      make-3.82-3.fc14.i686

    4. Installez les paquets en exécutant les commandes suivantes en tant qu'utilisateur racine :

      rpm -ivh kernel-devel-2.6.35.6-45.fc14.i686.rpm
      rpm -ivh gcc-4.5.1.fc14.i686.rpm
      rpm -ivh make-3.82-3.fc14.i686

      Vous pouvez spécifier tous ces paquets dans une seule commande rpm. L'installation de l'un de ces paquets peut nécessiter l'installation d'autres paquets supplémentaires pour résoudre les dépendances.

     

    (0 vote(s))
    Cet article était utile
    Cet article ne m'a pas été utile

    Commentaires (0)
    Poster un nouveau commentaire
     
     
    Nom complet :
    E-mail :
    Commentaires :

    Netissime.com - Groupe e.l.b. Multimedia
    45/47 rue Francis de Pressensé 69100 Villeurbanne, France
    Commercial : 0 811 26 10 26 - Hot-Line : 0892 10 92 10 - International : +33 437 430 037
    Abus : abuse@netissime.com
    Registre du commerce de Lyon - France - 429.999.030.000.50


    © Copyright 2000-2016 - Netissime - Tous droits réservés